Package classycle.util

# Class TrueStringPattern

java.lang.Object
classycle.util.TrueStringPattern

All Implemented Interfaces:
  `StringPattern`

public class TrueStringPattern extends Object implements StringPattern
String pattern which return `true` in any case.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`TrueStringPattern()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(String string)`
Returns `true` independent of the argument.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TrueStringPattern

public TrueStringPattern()

## Method Details

### matches

public boolean matches(String string)
Returns `true` independent of the argument.

Specified by:
  `matches` in interface `StringPattern`
Parameters:
  `string` - String to be matched. Can be `null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`